Skip to content

Artists​

Everything about Argentine Rock artists


Get all artists​

GET
/api/v1/artists

Get a list of all legendary Argentine Rock artists and explore their contributions to the music scene.

Parameters​

Query Parameters

limit

The number of items to return

Typeinteger
Format"int64"
Default10
offset

The number of items to skip before starting to collect the result set

Typeinteger
Format"int64"
Default0

Responses​

OK

application/json
JSON
{
"data": [
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}
],
"meta": {
"limit": 10,
"offset": 0,
"total": 100,
"next": "/artists?limit=10&offset=10"
}
}

Playground​

Variables
Key
Value

Samples​


Add a new artist​

POST
/api/v1/artists

Add a new legendary Argentine Rock artist. Make sure they truly deserve the title!

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Request Body​

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Responses​

Created

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Authorization
Body

Samples​


Get an artist​

GET
/api/v1/artists/{artistId}

Learn more about a specific Argentine Rock artist and their legacy.

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Responses​

Artist Found

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Variables
Key
Value

Samples​


Update an artist​

PUT
/api/v1/artists/{artistId}

Update the information of a legendary Argentine Rock artist. Make sure to provide accurate data.

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Request Body​

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Responses​

OK

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Deprecated

Delete an artist​

DELETE
/api/v1/artists/{artistId}

This endpoint was used to delete artists. Unfortunately, that caused a lot of controversy. So, this endpoint is now deprecated and should not be used anymore.

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Responses​

Bad Request

application/json
JSON
{
"type": "https://example.com/errors/generic-error",
"title": "Something went wrong here.",
"status": 403,
"detail": "Unfortunately, we can’t provide further information."
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get all albums​

GET
/api/v1/artists/{artistId}/albums

Get a list of all albums from a legendary Argentine Rock artist.

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Query Parameters

limit

The number of items to return

Typeinteger
Format"int64"
Default10
offset

The number of items to skip before starting to collect the result set

Typeinteger
Format"int64"
Default0

Responses​

OK

application/json
JSON
{
"data": [
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}
],
"meta": {
"limit": 10,
"offset": 0,
"total": 100,
"next": "/artists?limit=10&offset=10"
}
}

Playground​

Variables
Key
Value

Samples​


Add a new album​

POST
/api/v1/artists/{artistId}/albums

Add a new album to a legendary Argentine Rock artist. Make sure it’s a masterpiece!

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Request Body​

application/json
JSON
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}

Responses​

Created

application/json
JSON
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Powered by VitePress OpenAPI